/* KallistiGL for KOS 1.1.6

   glvars.c
   (c)2001 Dan Potter
*/

#include <GL/gl.h>
#include <GL/glu.h>
#include "glinternal.h"

CVSID("$Id: glvars.c,v 1.5 2002/01/06 00:40:33 bardtx Exp $");

/* Variable definitions */

/* Background clear color (not currently used) */
GLfloat gl_clear_color[4];

/* Capabilities bitfield: toggles for glEnable() / glDisable() */
GLbitfield gl_capabilities;

/* Current primitive type (or -1) */
GLenum gl_prim_type;

/* Poly header buffer submitted? */
GLboolean gl_pbuf_submitted;

/* A "null" texture for when we're not texturing */
gl_texture_int_t gl_null_texture;

/* Currently selected texture */
gl_texture_int_t *gl_cur_texture;

/* Viewport size */
GLint gl_viewport_x1, gl_viewport_y1,
	gl_viewport_width, gl_viewport_height;

/* Transformation matrices */
matrix_t gl_trans_mats[GL_MATRIX_COUNT] __attribute__((aligned(32)));
int gl_matrix_mode;
GLboolean gl_matrix_dirty;

/* Enabled lists */
GLbitfield gl_enabled_lists;

/* Currently active list */
GLbitfield gl_active_list;

/* Face culling enabled/disabled */
GLboolean gl_cull_face = GL_TRUE;

/* Culling mode */
GLenum gl_cull_mode = GL_BACK;
